services:
  jellyfin:
    image: jellyfin/jellyfin:10.11.6
    user: ${JELLYFIN_USER_UID}:${JELLYFIN_USER_GID}
    network_mode: 'host'
    restart: always
    env_file:
      - .env
    environment:
      - JELLYFIN_CACHE_DIR=/var/cache/jellyfin
      - JELLYFIN_CONFIG_DIR=/etc/jellyfin
      - JELLYFIN_DATA_DIR=/var/lib/jellyfin
      - JELLYFIN_LOG_DIR=/var/log/jellyfin
    volumes:
      - /var/cache/jellyfin:/var/cache/jellyfin
      - /etc/jellyfin:/etc/jellyfin
      - /var/lib/jellyfin:/var/lib/jellyfin
      - /var/log/jellyfin:/var/log/jellyfin
      - ${MEDIA_LOCATION}:${MEDIA_LOCATION}